#!/bin/sh

# // =========================================================
# // IBM DB2 Web Query Env Set
# // Version 1.2x
# // 
# // Licensed Materials-Property of IBM.
# //
# // 5724-B34 DB2 Web Query for MultiPlatform (Unix)
# //
# // (C) Copyright IBM Corp. 1999, 2001
# // (C) Copyright Rocket Software, Inc. 1999, 2001
# //
# // US Government Users Restricted Rights-
# // Use, duplication or disclosure restricted
# // by GSA ADP schedule Contract with IBM Corp.
# //
# // DESCRIPTION:
# //      Script file used to configure Web Query.
# //
# // CONFIGURATION:
# //      Read the documentation to become familar with the
# //      parameters used to Configure Web Query.
# //      
# //      Edit this script and set each of the parameters.
# // =========================================================

# // =========================================================
# // wqt_wasRoot
# // This is the directory where WebSphere Application server
# // has been installed.
# // =========================================================
export wqt_wasRoot=/usr/IBMWebAS

# // =========================================================
# // wqt_installRoot
# // This is the directory where Web Query is installed.
# // =========================================================
export wqt_installRoot=/usr/lpp/DB2WebQuery

# // =========================================================
# // wqt_nodeName
# // The name of the WebSphere node to configure. 
# // (Case sensitive)
# // =========================================================
export wqt_nodeName=WASNODENAME

# // =========================================================
# // wqt_rootURI
# // This is the prefix of the URL to use to access DB2 Web
# // Query.
# // =========================================================
export wqt_rootURI=/DB2Tools

# // =========================================================
# // wqt_hostName
# // This is the name of the machine running Web Query.
# // =========================================================
export wqt_hostName=HOSTNAME

# // =========================================================
# // wqt_emailHost
# // The name of the machine which runs POP services. This 
# // machine will be used to send email from Web Query.
# // =========================================================
export wqt_emailHost=EMAILHOSTNAME

# // =========================================================
# // wqt_smtpPort
# // If specified this is the port that Web Query will start
# // up the SMTP Processor.
# // =========================================================
export wqt_smtpPort=25

# // =========================================================
# // wqt_wqUserId
# // This is the id of the Web Query user used for
# // access to the Web Query Catalog if installed.
# // =========================================================
export wqt_wqUserId=USERID

# // =========================================================
# // wqt_wqUserPass
# // This is the password of the Web Query user used for
# // access to the Web Query Catalog if installed.
# // =========================================================
export wqt_wqUserPass=PASSWORD

# // =========================================================
# // wqt_db2FormsUrl
# // This is the url to the directory where the db2forms.jar
# // file is located.
# // =========================================================
export wqt_db2FormsUrl=http://HOSTNAME/DB2Tools/DB2Forms

# // =========================================================
# // wqt_db2FormsPort
# // Parameter specifies the port of the DB2 JDBC Applet 
# // Server.
# // =========================================================
export wqt_db2FormsPort=6789

# // =========================================================
# // wqt_queryRowLimt
# // Parameter specifies max rows to be returned by a query.
# // 0=unlimited
# // =========================================================
export wqt_queryRowLimit=0

# // =========================================================
# // wqt_queryTimeOut
# // Parameter specifies max time for query execution.
# // 0=unlimited
# // =========================================================
export wqt_queryTimeOut=0

# // =========================================================
# // wqt_daysSaved
# // Parameter indicates how long temporary results will be
# // kept on the system.
# // =========================================================
export wqt_daysSaved=7
