#!/bin/sh

# // =========================================================
# // IBM DB2 Web Query Install
# // Version 1.2x
# // 
# // Licensed Materials-Property of IBM.
# //
# // 5724-B34 DB2 Web Query for MultiPlatform (Unix)
# //
# // (C) Copyright IBM Corp. 1999, 2001
# // (C) Copyright Rocket Software, Inc. 1999, 2001
# //
# // US Government Users Restricted Rights-
# // Use, duplication or disclosure restricted
# // by GSA ADP schedule Contract with IBM Corp.
# //
# // DESCRIPTION:
# //      Script file used to configure Web Query.
# //
# // CONFIGURATION:
# //      Read the documentation to become familar with the
# //      with the parameters used to Configure Web Query.
# //      
# // =========================================================

echo =========================================================
echo IBM DB2 Web Query Install

echo Reading settings ...

. ./wqenvset.sh

# =========================================================
# Configure WAS
# =========================================================

echo Configuring WebSphere
cd $wqt_wasRoot/bin
./XMLConfig.sh -adminNodeName $wqt_nodeName -import $wqt_installRoot/conf/multiplatform/unix/wqtwas35_cfg.xml -substitute "wasRoot=$wqt_wasRoot;nodeName=$wqt_nodeName;hostName=$wqt_hostName;installRoot=$wqt_installRoot;rootURI=$wqt_rootURI;wqUserId=$wqt_wqUserId;wqUserPass=$wqt_wqUserPass;db2FormsUrl=$wqt_db2FormsUrl;db2FormsPort=$wqt_db2FormsPort;emailHost=$wqt_emailHost;smtpPort=$wqt_smtpPort;queryRowLimit=$wqt_queryRowLimit;queryTimeOut=$wqt_queryTimeOut;daysSaved=$wqt_daysSaved"
cd $wqt_installRoot/conf/multiplatform/unix


# =========================================================
# Clear settings
# =========================================================

echo Clearing settings ...

. ./wqenvclear.sh

echo End
