@echo off

REM // =========================================================
REM // IBM DB2 Web Query Install
REM // Version 1.2x
REM // 
REM // Licensed Materials-Property of IBM.
REM //
REM // 5724-B34 DB2 Web Query for MultiPlatform (NT/2000)
REM //
REM // (C) Copyright IBM Corp. 1999, 2001
REM // (C) Copyright Rocket Software, Inc. 1999, 2001
REM //
REM // US Government Users Restricted Rights-
REM // Use, duplication or disclosure restricted
REM // by GSA ADP schedule Contract with IBM Corp.
REM //
REM // DESCRIPTION:
REM //      Script file used to configure Web Query.
REM //
REM // CONFIGURATION:
REM //      Read the documentation to become familar with the
REM //      parameters used to Configure Web Query.
REM //      
REM //      Edit this file to set each of the parameters.
REM // =========================================================

REM // =========================================================
REM // wqt_wasRoot
REM // This is the directory where WebSphere Application server
REM // has been installed.
REM // =========================================================
SET wqt_wasRoot=c:\WebSphere\AppServer

REM // =========================================================
REM // wqt_installRoot
REM // This is the directory where Web Query is installed.
REM // =========================================================
SET wqt_installRoot=C:\DB2WebQuery

REM // =========================================================
REM // wqt_nodeName
REM // The name of the WebSphere node to configure. 
REM // (Case sensitive)
REM // =========================================================
SET wqt_nodeName=WASNODENAME

REM // =========================================================
REM // wqt_rootURI
REM // This is the prefix of the URL to use to access DB2 Web
REM // Query.
REM // =========================================================
SET wqt_rootURI=/DB2Tools

REM // =========================================================
REM // wqt_hostName
REM // This is the name of the machine running Web Query.
REM // =========================================================
SET wqt_hostName=HOSTNAME

REM // =========================================================
REM // wqt_emailHost
REM // The name of the machine which runs POP services. This 
REM // machine will be used to send email from Web Query.
REM // =========================================================
SET wqt_emailHost=EMAILHOSTNAME

REM // =========================================================
REM // wqt_smtpPort
REM // If specified this is the port that Web Query will start
REM // up the SMTP Processor.
REM // =========================================================
SET wqt_smtpPort=25

REM // =========================================================
REM // wqt_wqUserId
REM // This is the id of the Web Query user used for
REM // access to the Web Query Catalog if installed.
REM // =========================================================
SET wqt_wqUserId=USERID

REM // =========================================================
REM // wqt_wqUserPass
REM // This is the password of the Web Query user used for
REM // access to the Web Query Catalog if installed.
REM // =========================================================
SET wqt_wqUserPass=PASSWORD

REM // =========================================================
REM // wqt_db2FormsUrl
REM // This is the url to the directory where the db2forms.jar
REM // file is located.
REM // =========================================================
SET wqt_db2FormsUrl=http://HOSTNAME/DB2Tools/DB2Forms

REM // =========================================================
REM // wqt_db2FormsPort
REM // Parameter specifies the port of the DB2 JDBC Applet 
REM // Server.
REM // =========================================================
SET wqt_db2FormsPort=6789

REM // =========================================================
REM // wqt_queryRowLimt
REM // Parameter specifies max rows to be returned by a query.
REM // 0=unlimited
REM // =========================================================
SET wqt_queryRowLimit=0

REM // =========================================================
REM // wqt_queryTimeOut
REM // Parameter specifies max time for query execution.
REM // 0=unlimited
REM // =========================================================
SET wqt_queryTimeOut=0

REM // =========================================================
REM // wqt_daysSaved
REM // Parameter indicates how long temporary results will be
REM // kept on the system.
REM // =========================================================
SET wqt_daysSaved=7
